Skip to main content

Delete Isolation History

DELETE 

https://api.knoxstudio.ai/v1/audio-isolation/history/:history_item_id

Permanently delete a history item. Not billed.

Request​

Path Parameters​

NameTypeRequiredDescription
history_item_idStringYesHistory item ID from the list response.

Request Headers​

NameTypeRequiredDescription
AuthorizationStringYesBearer <token> Knox API key. xi-api-key is also accepted.

cURL Example​

curl -X DELETE https://api.knoxstudio.ai/v1/audio-isolation/history/hist_123 \
-H "Authorization: Bearer $KNOXCHAT_API_KEY"

Response​

Success Response (200)​

Delete completed successfully.

Error Responses​

Validation uses HTTP 422:

{
"detail": [
{
"loc": ["body", "field"],
"msg": "…",
"type": "value_error"
}
]
}

Other errors use { "detail": "message" }.

StatusWhen
400WebSocket path called without Upgrade: websocket.
401Missing or invalid API key.
402Insufficient credits.
403Token is not allowed to use this model.
404Resource not found.
422Validation error.
429Rate limit exceeded.
500Internal server error.